package adapter;

public class Travel {
    public static void main(String[] args) {
        HairDryer myHairDryer = new HairDryer();
        
        TwoHolesPlug aPlugInAsia = new TwoHolesPlug();
        
        // Can't do this
//        myHairDryer.blowHotAir(aPlugInAsia);
        
        TwoToThreeAdaptor theAdapterYourSavor = new TwoToThreeAdaptor(aPlugInAsia);
        
        myHairDryer.blowHotAir(theAdapterYourSavor);
    }
}
